# DataExchange
TKIGES
IGESBasic

# IGESBasic Class Reference

This package represents basic entities from IGES
.

`#include <IGESBasic.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Init ()
| Prepares dynqmic data (Protocol, Modules) for this package .
static Standard_EXPORT Handle_IGESBasic_Protocol | Protocol ()
| Returns the Protocol for this Package .

## Member Function Documentation

static Standard_EXPORT void IGESBasic::Init | ( |  | ) | `[static]`

void IGESBasic::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESBasic::operator new | ( | size_t | size | ) | `[inline]`

void* IGESBasic::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_IGESBasic_Protocol IGESBasic::Protocol | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- IGESBasic.hxx